### Class

# Nautilus PropertiesModel

#### Description [src]

    final class Nautilus.PropertiesModel : GObject.Object
    {
      /* No available fields */
    }

A model to implement custom file Properties.

`NautilusPropertiesModel` is an model that describes a set of file properties. Extensions can provide `NautilusPropertiesModel` objects by registering a `NautilusPropertiesModelProvider` and returning them from `nautilus_properties_model_provider_get_models()`, which will be called by the main application when creating file properties.

#### Ancestors

- GObject

#### Constructors

###### nautilus_properties_model_new

Create a new `NautilusPropertiesModel`.

#### Instance methods

###### nautilus_properties_model_get_model

Gets the properties items provided by this model.

###### nautilus_properties_model_get_title

Get the user-visible title.

###### nautilus_properties_model_set_title

Set a user-visible name for the set of properties in this model.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Nautilus.PropertiesModel:model

The item model.

###### Nautilus.PropertiesModel:title

The user visible title.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct NautilusPropertiesModelClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.